* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --white: #f8efff;
    --lightviolet-1: #ecd2f9;
    --lightviolet-2: #d8c0df;
    --lightyellow-1: #fff8c8;
    --lightyellow-2: #f7e0b5;
    --lightyellow-3: #e6cd99;
    --skintone: #f4d0c0;
    --orange: #d77e44;
    --pinkbrown: #c98271;
    --bole: #774438;
    --periwinkle: #cbcaff;
    --palepurple: #b092d1;
    --fadedpurple: #8769a8;
    --darkpurple: #4c455e;
}

body {
    margin: 0;
    padding: 0;
    color: var(--darkpurple);
    font-size: 14px;
}

button {
}

/* Header styling */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.heading {
    display: flex;
    flex-direction: column;
    position: relative;
}

.logo img {
    width: 100%;
    max-width: 170px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.heading-navigation {
    background-color: #4c455e;
    width: 100%;
    padding: -10px 0px;
    display: flex;
    flex-direction: row;
}

.navbar {
    display: flex;
    padding: 0px 10px;
    width: 100%;
    margin: auto;
    align-items: center;
}

nav ul {
    list-style: none;
    display: flex;
    padding: 0 15px;
    margin: 0;
}

nav ul li {
    list-style: none;
    padding: 15px;
}

.navbar a {
    color: #f8efff;
    text-decoration: none;
    font-family: "ADLaM Display", system-ui;
    font-size: 19px;
    padding: 15px;
}

.navbar a:hover {
    color: var(--darkpurple);
    background-color: var(--lightviolet-1);
    padding: 15px;
    transition: 0.3s ease;
}


.signin {
    font-family: "ADLaM Display", system-ui;
    background-color: var(--lightviolet-2);
    color: var(--darkpurple);
    border: none;
    padding: 5px 15px;
    cursor: pointer;
    font-size: 19px;
    margin-left: auto;
}


/* Main banner ********************************************************/

.main-banner img {
    width: 100%;
    height: 700px;
    object-fit: cover;
}

.bee img {
    width: 100px;
    position: absolute;
    left: 11px;
    top: 100px;
    rotate: 355deg;
}


/* Content sections *****************************************************/

#content {
    align-content: center;
}


.content {
    display: flex;
    justify-content: space-around;
    padding: 20px;
    gap: 20px;
}

.trending, .top-gachatubers {
    padding: 15px;
    width: 45%;
    text-align: center;
}

.trend-info {
    display: flex;
    flex-direction: column;
    text-align: left;
    padding: 0px 0px 0 40px;

}

.gachatuber img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 5px;
}


/* Trends side ***********************************************************/

.trending {
    display: flex;
}

.trending img {
    max-width: 1000px;
    border-radius: 10px;

}

.trend-info h2 {
    font-family: "ADLaM Display", system-ui;
    color: var(--fadedpurple);
    font-size: 32px;
    font-weight: 500;

}

.trend-info p {
    font-family: "Montserrat", sans-serif;
    color: var(--darkpurple);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
    padding: 20px 0;
}


.learn-more {
    position: relative;
    margin-left: -15px;
}

.learn-more img {
    padding: 8px 16px;
    cursor: pointer;
    margin-top: 10px;
    width: 130px;
    font-weight: bold;
    background-color: none;
}

.top-button:hover {
    transition: 0.3s ease;
    opacity: 1;
}

.top-button {
    position: absolute;
    width: 250px;
    left: 0;
    top: 0;
    opacity: 0;
}


/* Top Gachatubers side ********************************************/
.top-gachatubers .gachatuber {
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
}

.top-gachatubers .gachatuber img {
    width: 150px;
    height: 150px;
    border-radius: 50%;
}

.top-gachatubers {
    text-align: left;
}

.top-gachatubers h2 {
    font-family: "ADLaM Display", system-ui;
    color: var(--fadedpurple);
    font-size: 32px;
    font-weight: 500;
}

.top-gachatubers p {
    font-family: "Montserrat", sans-serif;
    color: var(--darkpurple);
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
}

.gachatuber {
    padding: 10px 0;
}

.gachatubers {
    padding: 20px 0;
}

.gachatuber-info {
    padding: 20px 10px;
}

.gachatuber-info strong {
    font-style: italic;
}


/* Footer *********************************************************************/
footer {
    background-color: var(--darkpurple);
    color: #fff;
    padding: 20px 0;
    font-family: "Montserrat", sans-serif;
    width: 100%;
}

.footing {
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
}

.footer-logo {
    width: 500px;
    text-align: left;
    align-content: center;
    margin-right: 10px;
    margin-left: auto;
}

.footer-logo img {
    width: 300px;
    margin-bottom: 10px;
}

.footer-logo p {
    font-size: 14px;
    margin-top: 10px;
    width: 470px;
    line-height: 1.4;
    color: var(--white);
}

.footer-nav {
    display: flex;
    flex-direction: row;
    align-content: center;
    margin-right: auto;
}

.footer-nav1 nav ul {
    display: flex;
    flex-direction: column;
    gap: 2px;
    list-style: none;
    width: 30%;
    text-align: left;
    align-content: center;
    margin-right: auto;
    margin-left: 5px;
}

.footer-nav1 nav ul li {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2px;
    cursor: pointer;
}

.footer-nav2 {
    margin-right: auto;
}

.footer-nav2 nav ul {
    display: flex;
    flex-direction: column;
    gap: 5px;
    list-style: none;
    padding: 0;
    margin-right: auto;
}

.footer-nav2 nav ul li {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}

.footer-nav-icon {
    width: 40px;
    height: 40px;
    transition: transform 0.3s ease;
}

/* Hover effect for the icons */
.footer-nav1 nav ul li:hover .footer-nav-icon {
    transform: scale(1.3);
}

.footer-nav1 nav ul li span {
    font-size: 19px;
    font-family: "ADLaM Display", system-ui;
    color: var(--white);
}

.footer-nav2 nav ul li:hover .footer-nav-icon {
    transform: scale(1.3);
}

.footer-nav2 nav ul li span {
    font-size: 19px;
    font-family: "ADLaM Display", system-ui;
    color: var(--white);
}


/* Copyright section */
.subfooting {
    text-align: center;
    padding-top: 20px;
    border-top: 1px solid var(--periwinkle);
    margin-top: 10px;
    font-size: 12px;
    color: var(--white);
}


/* ABOUT page **********************************************************************************/

.about-title {
    width: 100%;
    height: 400px;
    display: flex;
    justify-content: space-between;
}

.about-title img {
    display: flex;
    justify-content: stretch;
    width: 900px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    margin-bottom: 0;
    align-self: center;
}

.story-title {
    background-color: var(--lightviolet-1);
    width: 100%;
    height: 350px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.story-title h2 {
    font-family: "ADLaM Display", system-ui;
    color: var(--fadedpurple);
    font-size: 56px;
    font-weight: 500;
    margin-right: auto;
    text-transform: uppercase;

}

.story-title img {
    width: 550px;
    margin-left: auto;
    border-radius: 5px;
    padding: 20px 30px;
    position: relative;
    border-radius: 30px;
}

.story-title-text {
    align-self: center;
}


.title-heading {
    position: absolute;
    top: 440px;
    left: 560px;

}

.title-heading h2 {
    font-family: "Courier Prime", monospace;
    font-size: 64px;
    font-weight: 500;
    color: var(--white);
    text-transform: uppercase;
    font-style: italic;
    text-shadow: 5px 5px 0px var(--darkpurple);


}

.title-heading p {
    font-family: "Courier Prime", monospace;
    font-size: 19px;
    font-weight: 400;
    width: 800px;
    color: var(--darkpurple);
}


.story-info {
    background-color: var(--white);
    padding: 65px 50px;
}

.story-info p {
    font-family: "Montserrat", sans-serif;
    width: 1500px;
    margin-left: auto;
    margin-right: auto;

}

.story-info strong {
    font-family: "ADLaM Display", system-ui;
    color: var(--fadedpurple);
    font-size: 32px;
    font-weight: 500;
}


/* HISTORY page ********************************************************************************/



.timeline-wire img {
    display: flex;
    justify-content: stretch;
    position: relative;
    width: 500px;
    align-self: center;
}


.dropdown {
  position: relative;
  display: inline-block;
  margin-bottom: 20px;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  padding: 12px 16px;
  z-index: 1;
}

.dropdown-content p {
    font-family: "Montserrat", sans-serif;
    font-size: 19px;
    font-weight: 400;
    width: 800px;
}

.dropdown:hover .dropdown-content {
  display: flex;
}

.timeline-entry {
    display: flex;
    flex-direction: column;
    width: 300px;
}

.dropdown-content {
    width: 500px;
}


.timeline-container h2 {
    font-family: "ADLaM Display", system-ui;
    font-size: 36px;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--fadedpurple);
}

.timeline-container span {
    font-family: "Courier Prime", monospace;
    font-style: italic;
    color: var(--darkpurple);
    font-size: 20px;
    margin-bottom: 10px;    
}

.timeline-container {
    
}





/* GOOD VS. BAD page ********************************************************************************/

.gvb-content {
    background-color: var(--white);    
}

.gvb-comparison {
    display: flex;
    justify-content: stretch;
    align-items: center;
    padding-bottom: 100px;
    gap: 200px;
}

.gvb-side:first-child {
    margin-left: auto;
}


.gvb-image {
    display: flex;
    justify-content: space-around;
}

.gvb-image img {
    justify-content: stretch;
    align-items: center;
    width: 100%;
    height: 740px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;

}


.gvb-side ul {
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    font-weight: 500;
    width: 800px;
}


.gvb-side li {
    padding-bottom: 20px;
    width: 700px;
    justify-content: start;


}



/* SHOUTOUTS page ********************************************************************************/

.highlight {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
}

.highlight-image {
    width: 100%;
}

.highlight-image img {
    width: 100%;
    height: 500px;
    object-fit: cover;
    position: relative;
}

.highlight-text {
    position: absolute;
    top: 770px;
    flex: 2;
    width: 650px;
    height: 330px;
    background: var(--lightviolet-1);
    padding: 30px 40px;
    border-right-radius: 10px;
}


.highlight-text h2 {
    font-family: "ADLaM Display", system-ui;
    font-size: 52px;
    font-weight: 500;
    color: var(--fadedpurple);
}


.highlight-text span {
    font-family: "Montserrat", sans-serif;
    font-size: 19px;
    font-weight: 700;
    color: var(--darkpurple);
    font-style: italic;   
    padding-top: 10px; 
}


.highlight-text p {
    font-family: "Montserrat", sans-serif;
    font-size: 15px;
    font-weight: 400;
    color: var(--darkpurple);
    padding: 10px 0 0 0;    
}


.shoutouts-grid {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    margin-bottom: 20px;
}

.shoutout-card {
    background: var(--white);
    width: 370px;
    padding: 10px;
    border-radius: 10px;
    border: 5px solid #b092d1;
    text-align: center;
}

.card-text span {
    font-family: "Montserrat", sans-serif;
    font-size: 19px;
    font-weight: 700;
    color: var(--darkpurple);
    font-style: italic;

}

.card-text p {
    font-family: "Montserrat", sans-serif;
    font-size: 15px;
    font-weight: 400;
    color: var(--darkpurple);
    padding: 20px 0;
}

.card-text {
    text-align: left;
}

.card-image img {
    display: flex;
    justify-content: space-around;
    width: 340px;
    height: 340px;
    margin-bottom: 20px;
    border-radius: 10px;
}

.card-rating {
    display: flex;
    justify-content: stretch;

}

.rating-flower img {
    width: 80px;
    height: 60px;
    padding-right: 20px;
}



.card-rating p {
    font-family: "Montserrat", sans-serif;
    font-size: 19px;
    font-weight: 700;
    color: var(--darkpurple);
    margin-right: auto;
}

.pagination {
    text-align: center;
    font-size: 18px;
    margin-top: 100px;
    margin-bottom: 100px;
}

.pagination span {
    margin: 0 5px;
    cursor: pointer;
    font-family: "Montserrat", sans-serif;
    font-size: 23px;
    font-weight: 700;
    color: var(--darkpurple);
}

.pagination .active {
    font-weight: bold;
    color: #7d3ec7;
}


/* TRENDS page ********************************************************************************/

.trend-row {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 20px 0;
}

.trend-item {
    width: 45%;
    padding: 10px;
    border-radius: 10px;
    display: flex;
    flex-direction: row;
}

.trend-info {
    width: 500px;
    padding-left: 100px;
}

.trend-image img {
    width: 350px;
    height: 470px;
    border-radius: 10px;
    margin-left: 30px;
}

.divider {
    border: none;
    border-radius: 60px;
    height: 3px;
    width: 1700px;
    background: var(--darkpurple);
    margin-right: auto;
    margin-left: auto;
}


.trend-item h2 {
    font-family: "ADLaM Display", system-ui;
    font-size: 32px;
    font-weight: 500;
    color: var(--fadedpurple);
}



.trend-item span {
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    font-weight: 700;
    color: var(--darkpurple);
    font-style: italic;
    padding-top: 10px;    
}


.trend-item p {
    font-family: "Montserrat", sans-serif;
    font-size: 15px;
    font-weight: 400;
    color: var(--darkpurple);
    padding: 10px 0;
}





/* CONTACTS page ********************************************************************************/

.get-in-touch {
    background-color: var(--lightviolet-1);
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    height: 400px;
    gap: 70px;
}

.get-in-touch-info {
    margin-left: auto;
    align-self: center;

}

.get-in-touch-image {
    margin-right: auto;
}


.get-in-touch-info h2 {
    font-family: "ADLaM Display", system-ui;
    color: var(--fadedpurple);
    font-size: 32px;
    font-weight: 500;
    margin-right: auto;
    margin-bottom: 15px;

}

.get-in-touch-info span {
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    font-weight: 700;
    color: var(--darkpurple);
    font-style: italic;

}

.get-in-touch-info p {
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    font-weight: 400;
    width: 800px;
    color: var(--darkpurple);
    margin-top: 10px;
    width: 800px;
}

.get-in-touch-info img {
    width: 150px;
    margin-top: 30px;
}

.get-in-touch-image img {
    width: 600px;
    margin-left: auto;
    display: flex;
    margin-top: 30px;
}



.title-heading {
    position: absolute;
    top: 440px;
    left: 560px;

}


.contact-content {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}


.contact-container li span {
    font-family: "Montserrat", sans-serif;
    width: 500px;
    font-size: 18px;
    font-weight: 700;
    color: var(--darkpurple);
    font-style: italic;
    padding-left: 20px;;
    justify-content: start;

}

.contact-icon {
    width: 50px;
}


.contact-container {
    background-color: var(--lightviolet-1);
    width: 700px;
    height: 500px;
    margin: 50px;
}

.contact-container h2 {
    background-color: var(--fadedpurple);
    font-weight: 500;
    color: var(--white);
    font-family: "Courier Prime", monospace;
    font-style: italic;
    font-size: 28px;
    padding: 10px;

}

.contact-container ul {
    list-style: none;
    display: flex;
    flex-direction: column;
    padding: 30px;
}

.contact-container li {
    padding-bottom: 20px;
}

.contact-form {
    padding: 50px;
}

.form-placeholder {
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    font-weight: 700;
    color: var(--darkpurple);
}



















/* Media Queries - Mobile ******************************************************/

@media only screen and (max-width: 360px) {

    .heading {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .logo img {
        width: 100px;
    }

    .bee img {
        width: 70px;
        top: 59px;
    }

    .nav ul {
        flex-wrap: wrap;
        justify-content: left;
        padding: 0;
    }

    .nav li {
        font-size: 9px;
    }

    .navbar li {
        padding: 10px 0;
    }

    .navbar a:hover {
        padding: 10px 15px;
    }

    .signin {
        padding: -2px 10px;
        font-size: 12px;
    }

    /* Main banner ****************************************************/
    .main-banner img {
        width: 100%;
        height: 600px;
    }

    /* Content section *********************************************/

    .content {
        padding: 5px;
        display: flex;
        flex-direction: column;
    }

    .trending {
        width: 360px;
        display: flex;
        flex-direction: row;
        padding-top: 40px;
        
    }

    .trend-info {
        width: 230px;
        padding-left: 10px;
    }

    .trend-info p {
        font-size: 13px;
    }


    .top-gachatubers {
        flex-direction: column;
        text-align: center;
        width: 360px;
    }

    .trend-img img {
        width: 170px;
        padding-right: 10px;
        display: flex;
        align-items: start;

    }

    .gachatuber img {
        width: 100%;
        height: auto;
    }

    .learn-more img {
        display: flex;
        align-items: left;
    }


    .trend-info h2,
    .top-gachatubers h2 {
        font-size: 28px;
        text-align: left;
    }

    /* Footer adjustments ****************************************/
    .footing {
        max-width: 360px;
        flex-direction: column;
        align-content: center;
        text-align: center;
    }

    .footer-logo img {
        width: 250px;
        padding: 10px 20px;
        margin-bottom: 0;
        
    }

    .footer-logo p {
        font-size: 12px;
        width: 300px;
        padding: 0 20px;
        margin-top: 0;
        
    }

    .footer-nav {
        max-width: 360px;
        margin-left: 0;
        margin-right: auto;
        font-size: 16px;
    }

    .footer-nav1,
    .footer-nav2 {
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

    .footer-nav1 span {
        font-size: 16px;
    }

    .footer-nav1 nav ul {
        margin-right: 0;
    }

    .footer-nav2 {
        margin-right: 0;
    }

    .footer-nav-icon {
        width: 30px;
        height: 30px;

    }

    .subfooting p {
        font-size: 10px;
    }


}

